org.apache.solr.search.function

## Class SolrComparisonBoolFunction

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.BoolFunction
    - - org.apache.lucene.queries.function.valuesource.ComparisonBoolFunction
      - - org.apache.solr.search.function.SolrComparisonBoolFunction

-     public class SolrComparisonBoolFunction
      extends ComparisonBoolFunction

  Refines `ComparisonBoolFunction` to compare based on a 'long' or 'double' depending on if the any of the FunctionValues are `LongDocValues`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `SolrComparisonBoolFunction.Compare`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrComparisonBoolFunction(ValueSource lhs, ValueSource rhs, String name, SolrComparisonBoolFunction.Compare cmp)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `compare(int doc, FunctionValues lhs, FunctionValues rhs)`

    - ### Methods inherited from class org.apache.lucene.queries.function.valuesource.ComparisonBoolFunction

      `createWeight, description, equals, getValues, hashCode, name`

    - ### Methods inherited from class org.apache.lucene.queries.function.ValueSource

      `getSortField, newContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SolrComparisonBoolFunction

          public SolrComparisonBoolFunction(ValueSource lhs,
                                            ValueSource rhs,
                                            String name,
                                            SolrComparisonBoolFunction.Compare cmp)

  - ### Method Detail

    - #### compare

          public boolean compare(int doc,
                                 FunctionValues lhs,
                                 FunctionValues rhs)

      Specified by:
        `compare` in class `ComparisonBoolFunction`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.